/* =====> [|  G E N E R A L   S T Y L E S  |] <===== */
body {
  font-size: 14px;
  background: #1E2228;
/*  font-family: sans-serif;*/
/*  color: #008BDB;*/
}

a {
  text-decoration: none !important; /* Removes HL underline */
  text-underline-offset: 0em !important;
  color: inherit;        /* Removes HL color */
}

:where(.wp-site-blocks *:focus) { /* Removes WP blackborder in selected Items */
    outline-width: inherit;
    outline-style: inherit;
}

h1 { font-size: 50px !important;}
h2 { font-size: 36px !important;}
h3 { font-size: 26px !important;}
h4 { font-size: 20px !important;}
h5 { font-size: 18px !important;}


input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none !important; 
  margin: 0;        /* Removes arrows on input type number */
}

input[type=number] { 
  -moz-appearance: textfield !important;
}

.container-fluid {
  /*Main container (rows & cols)*/
  padding: 0;
  margin: 0;
  /* Remove Bootstrap padding 1.5rem default */
  --bs-gutter-x: 0 !important;
}

.row {
  /*Main row container (cols)*/
  --bs-gutter-x: 0 !important;
  /* Remove Bootstrap padding 1.5rem default */
}

.mcs-p0 {
  padding: 0rem !important;
}






/* =====> [|  C O N T A I N E R S  |] <===== */
.mcs-wmx3 {
  max-width: 3em !important;
  /* Minimal height controled by fs=14px; */
}

.mcs-wmx5 {
  max-width: 5em !important;
  /* Minimal height controled by fs=14px; */
}

.mcs-wmx6 {
  max-width: 6em !important;
}

.mcs-wmx7 {
  max-width: 7em !important;
}

.mcs-wmx8 {
  max-width: 8em !important;
}

.mcs-wmx10 {
  max-width: 10em !important;
}

.mcs-wmx12 {
  max-width: 12em !important;
}

.mcs-wmx25 {
  max-width: 25em !important;
}

.mcs-wmx28 {
  max-width: 28em !important;
}

.mcs-wmx30 {
  max-width: 30em !important;
}

.mcs-wmx35 {
  max-width: 35em !important;
}

.mcs-wmx40 {
  max-width: 40em !important;
}

.mcs-wr80 {
  width: 80%;
}

.mcs-wr90 {
  width: 90%;
}

.mcs-wr100 {
  width: 100%;
}

.mcs-showhide {
  display: inline-block;
}

.mcs-hideshow {
  display: none;
}

.mcs-hdrbox0 {
  width: 90px;
  height: 25px;
  display: inline-block;
  /* Box for header logo absolute */
}

.mcs-hdrbox0 img{
  width: 90px;
}

.mcs-hdrtxt0 {
  font-size: 1.5rem;
}

.mcs-mspace {
  height: 10px;
  min-height: 120px;
}

.mcs-cont01 {
  height: 650px;
  overflow: auto;
}

.mcs-cont02 {
  width: 100%;
  overflow-x: auto;
}

.mcs-scrlock {
  display: block;
  background: rgba(0, 0, 0, .60);
  position: fixed;
  z-index: 99;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
}

.mcs-mgrcarousel {
  margin-top: 2em;
  margin-bottom: 2em;
}

.mcs-mgrlegends1 {
  margin-top: -1.5em;
  margin-left: 1em;
}

.mcs-mgrlegends2 {
  margin-bottom: -1.5em;
  margin-left: 1em;
}






/* =====> [|  T E X T  |] <===== */
.mcs-fs1 {
  /*font-family: Roboto, sans-serif;*/
  font-size: .8em !important;
  /* Very Smalltext */
}

.mcs-fs2 {
  /*font-family: Roboto, sans-serif;*/
  font-size: .95em !important;
  /* Smalltext general */
}

.mcs-fsv1 {
  /*font-family: Roboto, sans-serif;*/
  font-size: 1em;
  /* Variable Screen Size */
}

.mcs-fsv2 {
  /*font-family: Roboto, sans-serif;*/
  font-size: 1.2em;
  /* Variable Screen Size */
}

.mcs-fsv3 {
  /*font-family: Roboto, sans-serif;*/
  font-size: 1.8em;
  /* Variable Screen Size */
}

.mcs-fsi1 {
  /*font-family: Roboto, sans-serif;*/
  font-size: 3.5em;
  /* Very Smalltext */
}

.mcs-txc01 {
  color: #DEE2E6;
  /* Texto Footer Blanco*/
}

.mcs-txc01 a {
  color: #DEE2E6;
  /* Texto Enlaces Footer Blanco */
}

.mcs-txc02 {
  color: #006402;
  /* Texto Enlaces */
}

.mcs-txc02 a:hover {
  color: #0072DB;
  /* Texto Enlaces */
}

.mcs-txc03 {
  color: #333333 !important;
  /* Etiquetas boletos */
}

.mcs-txsh01 {
  text-shadow: 0 1px 2px #000000;
}

.mcs-txstr01 {
  -webkit-text-fill-color: #DEE2E6;
  -webkit-text-stroke-width: .05rem;
  /* Remarcado sobre blanco */
}

.mcs-hrh1 {
  border: 10px solid #666666;
  border-radius: 5px;
  opacity: 1 !important;
}






/* =====> [|  BACKGROUNDS AND COLORS  |] <===== */
.mcs-bgc-tr01 {
  background-color: rgba(0,0,0,0.8) !important;
  /* Transparente Obscuro en Pie */
}

.mcs-bgc-tr02 {
  background: linear-gradient(0deg, #FFFFFF34, #FFFFFF27);
  backdrop-filter: blur(7px);
  box-shadow: 0 8px 32px #0000008a;
  /* Traslucido Acceso */
}

.mcs-bgi-01 {
  background: url('resources/img/bgaccess.jpg');
  background-size: cover;
  background-position: center;
  /* Color Tarjeta */
}

.mcs-bgc-sl10 {
  background: #99FF99;
  /* Fondo administracion */
}

.mcs-bgc-sl11 {
  background: #004701;
  color: #FFE589;
  /* Color Tarjetas Sorteo Pub */
}

.mcs-bgc-lg10 {
  background: linear-gradient(0deg, #8AE78A, #99FF99);
  /*background: linear-gradient(0deg, #13CF70, #63E3A2);*/
  /* Deg Fondo Admon Contenido */
}

.mcs-bgc-lg11 {
  background: linear-gradient(0deg, #01701F, #31DD40);
  /*background: linear-gradient(0deg, #006C42, #13CF70);*/
  /* Deg Fondo Admon Encabezado */  
}

.mcs-bgc-lg12 {
  background: linear-gradient(0deg, #003301, #003C01);
  /* background: linear-gradient(0deg, #012D2B, #003333); */
  /* Deg Fondo Admon Pie #1E2228, #303E49*/  
}

.mcs-bgc-lg13-e {
  background: linear-gradient(0deg, #631E00, #C64702);
  color: #FFE589; /*#B0D847*/
  /* Color Tarjetas Admon */
}

.mcs-bgc-lg13-d {
  background: linear-gradient(0deg, #313131, #676767);
  color: #FFE589; /*#B0D847*/
  /* Color Tarjetas Admon */
}

.mcs-bgc-lg14-e {
  background: linear-gradient(0deg, #004B01, #007E01);
  color: #FFE589; 
  /*background: linear-gradient(0deg, #003333, #004A38);*/
  /*background: linear-gradient(0deg, #0241A6, #0982CA);*/
  /* Color Tarjetas Publicas */
}

.mcs-bgc-lg14-d {
  background: linear-gradient(0deg, #313131, #676767);
  color: #FFE589; /*#B0D847*/
  /* Color Tarjetas Publicas */
}

.mcs-bgc-lg15-e {
  background: linear-gradient(0deg, #002D75, #0241A6);
  color: #FFE589; /*linear-gradient(0deg, #0241A6, #0982CA)*/
  /* Color Tarjetas Admon */
}

.mcs-bgc-lg15-d {
  background: linear-gradient(0deg, #313131, #676767);
  color: #FFE589; /*#B0D847*/
  /* Color Tarjetas Admon */
}

.mcs-bgc-lg16 {
  background: linear-gradient(90deg, #C48106, #FEF2A6, #C48106);
  color: #413808; /*linear-gradient(0deg, #0241A6, #0982CA)*/
  /* Color Tarjetas Admon */
}






/* =====> [|  O V E R R I D D E N   F O N T A W E S O M E  |] <===== */
.fa-clover {
  -webkit-transform: rotate(30deg);
}






/* =====> [|  O V E R R I D D E N   B O O T S T R A P  |] <===== */
.container-xl {
  padding-right: calc(var(--bs-gutter-x)* 1) !important;
  padding-left: calc(var(--bs-gutter-x)* 1) !important;
}

.text-primary {
  color: #035EB7 !important;
}

.text-success {
  color: #008F31 !important;
}

.border-primary {
  border-color: #035EB7 !important;
}

.border-success {
  border-color: #008F31 !important;
}

.border-info {
  border-color: #8CE08C !important;
}

.bg-primary {
  background-color: #035EB7 !important;
}

.bg-success {
  background-color: #008F31 !important;
}

.btn-primary {
  background-color: #035EB7 !important;
  border-color: #035EB7 !important;
}

.btn-primary:hover {
  background-color: #0070DE !important;
  border-color: #0070DE !important;
}

.btn-success {
  background-color: #008F31 !important;
  border-color: #008F31 !important;
}

.btn-success:hover {
  background-color: #00B53E !important;
  border-color: #00B53E !important;
}

.carousel-item img {
  margin: 0 auto; /* Align image to center. */
  width: auto; /* Images without specified width but with max-height will be auto adjusted */
}

.mcs-wmxmainmenu {
  max-width: 22em !important;
}

.mcs-menumain .nav-link {
  font-weight: 600;
  color: #FFE589;     /*  Color to all nav-link's */
  position: relative; /*  Relative to have absolute events */
}

.mcs-menumain .nav-link.dropdown-toggle.show {
  color: #FFE589;     /*  Color when dropdown navlink is shown */
}

.mcs-menumain .navbar-toggler:focus {
  box-shadow: none !important;
}

.mcs-menumain .dropdown>.dropdown-menu {
  border: none;
  border-radius: 0;
  background: linear-gradient(0deg, #13992B, #20B534);
  background-color: #13992B;
  box-shadow: 0 8px 32px #0000008a;
}

.mcs-menumain .nav-link:hover {
  color: #FFFFFF !important;
/*  background-color: #003131 !important;*/
}

.mcs-menumain .nav-link::after {
  content: '';          /*  creates line as sort of content */
  height: 2px;          /*  Line height */
  width: 80%;           /*  Line width */
  background-color: #FFFFFF;
  position: absolute;   /*  Absolute to avoid afect navbar height */
                        /*  Works only when main element is relative */
  left: .5rem;
  bottom: 0;
  opacity: 0;           /*  Hides the underline */
  transition: all 0.2s; /*  Smooth the transition */
  pointer-events: none; /*  Remove werid efect wher selected */
}

.mcs-menumain .nav-link:hover::after {
  opacity: 1;
}

.mcs-menumain li.nav-item {
  font-size: .95rem;
  text-align: center;
}

.mcs-menumain .dropdown-menu {
  min-width: 250px;     /*  Change current dropdown width */
}

.mcs-menumain .dropdown-menu>li>.nav-link:hover::after {
  opacity: 0;           /*  Removes underline efect in dropdown items */
}

.mcs-menumain .dropdown-menu>li>.nav-link {
  color: #D2FF99; /*#C2E7FF*/
}



input[type=file] {
  margin-left: -2px !important;
}

input[type=file]::-webkit-file-upload-button {
  display: none;
}

input[type=file]::file-selector-button {
  display: none;
}

.custom-file-button:hover label {
  background-color: #dde0e3;
  cursor: pointer;
}






/* =====> [| FORM CONTROLS |] <===== */
i.biconbold {
  -webkit-text-stroke: .06rem;
}

form {
  padding: 0 !important; /* Necesary */
  margin: 0 !important;  /* Necesary */
}

label {
  margin: 0 !important;  /* Necesary */
}

input {
  margin: 0 !important;  /* Necesary */
}

.mcs-hideshow{
  display: none; /* Testear en safari y otros */
}

.mcs-ctrl {
  margin: .8em .5em 0em .5em;
  /* T-R-B-L */
}

.mcs-btn0 {
  font-size: .9em;
  padding: .2em .6em;
}

.mcs-btn1 {
  color: #333333;
  border-color: #157347;
  background-color: transparent;
  font-size: 1em;
  font-weight: 700 !important;
  padding: .2em .6em;
  margin-left: .1rem !important;
  margin-right: .1rem !important;
  margin-bottom: .25rem !important;
}

.mcs-btn1:hover {
  border-color: #157347 !important;
}

.mcs-btn1.active {
  border-color: #ffc107 !important;
  background-color: #ffc107 !important;
}

.mcs-tbltr01 {
  --bs-table-bg: transparent !important;
}

.mcs-tbl01 {
 width: 100%;
}

.mcs-tbl01 tr:hover {
  background: #48B849;
  transition: all 0.3s ease-in;
  cursor: pointer;
}

.mcs-tabctrl .nav-underline {
  border-bottom: 1px solid #525252;
}

.mcs-tabctrl .nav-underline .nav-link {
  color: #004C01 !important;
  font-weight: bold;
}

.mcs-tabctrl .nav-underline .nav-link.active {
  color: #035EB7 !important;
}

#js-result-gen button:disabled,
button[disabled]{
  background-color: #ffffff;
  /* SlotMachine button */
}






/* =====> [| M E D I A |] <===== */
@media (max-width: 768px) {
  body {
    font-size: 14px;
  }
  
  .mcs-showhide {
    display: none;
  }

  .mcs-hideshow {
    display: inline-block;
  }

  .mcs-hdrbox0 {
    width: 80px;
    height: 25px;
    display: inline-block;
  /* Box for header logo absolute */
  }

  .mcs-hdrbox0 img{
    width: 80px;
  }

  .mcs-hdrtxt0 {
    font-size: 1.2rem;
  }

  .mcs-wmxmov {
    width: 100%;
  }

  .mcs-tbl01 thead {
    display: none;
  }

  .mcs-tbl01 tr {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-around;
    padding-top: 10px;
    padding-bottom: 15px;
  }

  .mcs-tbl01 td {
    padding-bottom: 4px;
  }

  .mcs-fsv1 {
    font-size: .8em !important;
  }

  .mcs-fsv2 {
    font-size: .7em !important;
  }

  .mcs-fsv3 {
    font-size: 1.1em !important;
  }

  .mcs-mgrcarousel {
    margin-top: 1em;
    margin-bottom: 1em;
  }

  .mcs-mgrlegends1 {
    margin-top: -1em;
    margin-left: .5em;
  }

  .mcs-mgrlegends2 {
    margin-bottom: -1.4em;
    margin-left: .5em;
  }

  .mcs-wmxmainmenu {
    max-width: 2em !important;
  }

  .mcs-menumain nav .container {
    margin-left: 0 !important;
    margin-right: 0 !important;
    padding-left: 0 !important;
    padding-right: 0 !important;
  }

  .mcs-menumain ul.navbar-nav {
    font-size: 1.1rem;
    margin-left: 0 !important;
    margin-right: 0 !important;
    padding-left: 40px !important;
  }

  .mcs-menumain ul.dropdown-menu {
    font-size: 1rem !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
    padding-left: 20px !important;
    box-shadow: none !important;
  }

  .mcs-menumain li.nav-item {
    margin-left: .8rem !important;
    font-size: 1.5rem;
    text-align: start;
  }

  .mcs-menumain li.nav-item i {
    margin-right: .5rem !important;
  }

  .mcs-menumain li.nav-item.dropdown {
    font-size: 1.5rem;
    text-align: start;
  }



  .container-xl {
    padding-right: calc(var(--bs-gutter-x)* .5) !important;
    padding-left: calc(var(--bs-gutter-x)* .5) !important;
  }

  .mcs-cont02 {
    width: 100vw;
    position: relative;
    left: calc(-50vw + 50%);
  }

}















/* =====> [| PDF TICKET |] <===== */
.mcs-txc-pdflight {
  color: #D3D3D3 !important;
  /* Texto Blanco */
}
.mcs-txc-pdfdark {
  color: #10141C !important;
  /* Texto Blanco */
}
.mcs-bgc-pdftk01 {
  background: #8ED6EA !important;
  /* Fondo Exterior Boleto #01347B*/  
}

.mcs-bgc-pdftk02 {
  background: #5CABE5 !important;
  /* Fondo INterior Boleto #8ED6EA*/  
}